# Method: getSessionCookiePublicKeys

- [HTTP request](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v1/TopLevel/getSessionCookiePublicKeys#body.HTTP_TEMPLATE)
- [Request body](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v1/TopLevel/getSessionCookiePublicKeys#body.request_body)
- [Response body](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v1/TopLevel/getSessionCookiePublicKeys#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v1/TopLevel/getSessionCookiePublicKeys#body.GetSessionCookiePublicKeysResponse.SCHEMA_REPRESENTATION)
- [OpenIdConnectKey](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v1/TopLevel/getSessionCookiePublicKeys#OpenIdConnectKey)
  - [JSON representation](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v1/TopLevel/getSessionCookiePublicKeys#OpenIdConnectKey.SCHEMA_REPRESENTATION)
- [Try it!](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v1/TopLevel/getSessionCookiePublicKeys#try-it)

Retrieves the set of public keys of the session cookie JSON Web Token (JWT) signer that can be used to validate the session cookie created through [createSessionCookie](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v1/projects/createSessionCookie).

### HTTP request

`GET https://identitytoolkit.googleapis.com/v1/sessionCookiePublicKeys`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Request body

The request body must be empty.

### Response body

Response message for v1.getSessionCookiePublicKeys.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "keys": [ { object (`https://docs.cloud.google.com/identity-platform/docs/reference/rest/v1/TopLevel/getSessionCookiePublicKeys#OpenIdConnectKey`) } ] } ``` |

| Fields ||
|---|---|
| `keys[]` | ``object (`https://docs.cloud.google.com/identity-platform/docs/reference/rest/v1/TopLevel/getSessionCookiePublicKeys#OpenIdConnectKey`)`` Public keys of the session cookie signer, formatted as [JSON Web Keys (JWK)](https://tools.ietf.org/html/rfc7517). |

## OpenIdConnectKey

Represents a public key of the session cookie signer, formatted as a [JSON Web Key (JWK)](https://tools.ietf.org/html/rfc7517).

| JSON representation |
|---|
| ``` { "kty": string, "alg": string, "use": string, "kid": string, "n": string, "e": string } ``` |

| Fields ||
|---|---|
| `kty` | `string` Key type. |
| `alg` | `string` Signature algorithm. |
| `use` | `string` Key use. |
| `kid` | `string` Unique string to identify this key. |
| `n` | `string` Modulus for the RSA public key, it is represented as the base64url encoding of the value's big endian representation. |
| `e` | `string` Exponent for the RSA public key, it is represented as the base64url encoding of the value's big endian representation. |